Name:		elementary
Version:	2.1
Release:	2%{?dist}
Summary:	Elementary theme to bundle components
Group:		User Interface/Desktops
License:	GPLv2+
BuildArch:	noarch
URL:		http://launchpad.net/egtk
Source0:	http://launchpad.net/egtk/2.0/%{version}/+download/egtk.zip
#This patch removes elementary specific settings in the theme, \
#such as removing elementary-nautilus (as Fedora uses upstream nautilus) \
#and setting panel theme to light grey to suit switch-user-applet.
Patch0:		http://csmart.fedorapeople.org/elementary/%{name}-fedora.patch
BuildRequires:	gtk2-devel unzip
%description
Elementary components.

%package -n	elementary-gtk-theme
Summary:	GTK theme for %name
Group:		User Interface/Desktops
Requires:	gtk-murrine-engine
%description -n	elementary-gtk-theme
Elementary theme for GTK.

%package -n	elementary-metacity-theme
Summary:	Metacity theme for %name
Group:		User Interface/Desktops
Requires:	elementary-gtk-theme
%description -n	elementary-metacity-theme
Elementary theme for Metacity window manager.

%package -n	xfwm4-theme-elementary
Summary:	Desktop theme for Xfce4
Group:		User Interface/Desktops
Requires:	elementary-icon-theme elementary-gtk-theme
%description -n	xfwm4-theme-elementary
Desktop theme for Xfce4, includes elementary icon set and elementary GTK.

%package -n	gnome-theme-elementary
Summary:	Desktop theme for GNOME
Group:		User Interface/Desktops
Requires:	elementary-icon-theme elementary-metacity-theme
%description -n	gnome-theme-elementary
Desktop theme for GNOME, includes elementary icon theme and elementary metacity (window manager).

%prep
#Due to link in upstream tarball, setup errors, so manually extracting.
unzip %{SOURCE0} -x egtk/gtk-3.0 
%patch0
mv egtk %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/themes/elementary

# elementary-gtk-theme
install -Dp -m 0644 -d %{_builddir}/%{name}-%{version}/gtk-2.0 %{buildroot}%{_datadir}/themes/elementary/gtk-2.0
ln -sf gtk-2.0 %{buildroot}%{_datadir}/themes/elementary/gtk-3.0

# elementary-metacity-theme
install -Dp -m 0644 -d %{_builddir}/%{name}-%{version}/metacity-1 %{buildroot}%{_datadir}/themes/elementary/metacity-1

# xfwm4-theme-elementary
install -Dp -m 0644 -d %{_builddir}/%{name}-%{version}/xfwm4 %{buildroot}%{_datadir}/themes/elementary/xfwm4

# gnome-theme-elementary
install -Dp -m 0644 %{_builddir}/%{name}-%{version}/index.theme %{buildroot}%{_datadir}/themes/elementary/index.theme

%clean
rm -rf $RPM_BUILD_ROOT

%files -n elementary-gtk-theme
%defattr(-,root,root,-)
%{_datadir}/themes/elementary/gtk-*.0/

%files -n elementary-metacity-theme
%defattr(-,root,root,-)
%{_datadir}/themes/%name/metacity-1/

%files -n xfwm4-theme-elementary
%defattr(-,root,root,-)
%{_datadir}/themes/%name/xfwm4/

%files -n gnome-theme-elementary
%defattr(-,root,root,-)
%{_datadir}/themes/%name/index.theme

%changelog
* Mon Aug 21 2011 Chris Smart <chris@kororaa.org> 2.1-2
- Finalise changes to spec file as per bug request https://bugzilla.redhat.com/show_bug.cgi?id=693370#c4

* Mon Mar 14 2011 Chris Smart <chris@kororaa.org> 2.1-1
- Initial port from oxygen-gtk.spec.
